const symbolGenerator = d3.symbol().size(100);

const symbolTypes = [
  'symbolCircle',
  'symbolCross',
  'symbolDiamond',
  'symbolSquare',
  'symbolStar',
  'symbolTriangle',
  'symbolWye',
];

const xScale = d3
  .scaleLinear()
  .domain([0, symbolTypes.length - 1])
  .range([20, 840]);

d3.select('g')
	.selectAll('path')
	.data(symbolTypes)
	.join('path')
    .attr('fill', 'none')
    .attr('stroke', '#222')
    .attr('transform', (d, i) => `translate(${xScale(i)}, ${20})`)
    .attr('d', d => {
      symbolGenerator.type(d3[d]);
      return symbolGenerator();
    });

d3.select('g')
	.selectAll('text')
	.data(symbolTypes)
	.join('text')
    .attr('transform', (d, i) => `translate(${xScale(i)}, ${60})`)
		.attr('text-anchor', 'middle')
	.text(d => `d3.${d}`);
